<?php
if(!defined('ABSPATH')) exit;

$categories = get_the_category();
if(!empty($categories)) {
    // 最初のカテゴリだけ取得して表示
    $first_category = $categories[0];
    echo '<a href="' . esc_url(get_category_link($first_category->term_id)) . '">' . esc_html($first_category->name) . '</a>';
}